/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
// fugenViewPlane.cpp : インプリメンテーション ファイル

#include "stdafx.h"
#include "topo/Shell.h"
#include "fugen.h"
#include "fugenViewPlane.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// fugenViewPlane

IMPLEMENT_DYNCREATE(fugenViewPlane, fugenView2D)

fugenViewPlane::fugenViewPlane():fugenView2D(3,'s','t'){
}
fugenViewPlane::~fugenViewPlane(){
}

BEGIN_MESSAGE_MAP(fugenViewPlane, fugenView2D)
	//{{AFX_MSG_MAP(fugenViewPlane)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// fugenViewPlane メッセージ ハンドラ

///Initialize model.
void fugenViewPlane::initializeModel(){
	clearCurrentObjects();
}

//Make openGL display list in the input glview.
void fugenViewPlane::makeDisplayList(){
	//Do nothing.
}

void fugenViewPlane::OnInitialUpdate(){
	// Set Window's title.
	CString strTitle;
	strTitle.Format(
		IDS_FORMAT_VIEW_TITLE_2D,GetDocument()->GetTitle(),axis1(),axis2());
	GetParent()->SetWindowText(strTitle);
}
